
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>FZU1004-Number Triangle经典动归题，核心思路及代码优化 / 憋错料</title>

    <meta name="description" content="FZU1004-Number Triangle经典动归题，核心思路及代码优化 Problem 1004 Number Triangle Accept: 2230    Submit: 5895Time Limit: 1000 mSec    Memory Limit : 32768 KB  Problem Description Consider the number triangle shown below. Write a program that calculates the highest sum of numbers that can be passed on">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">FZU1004-Number Triangle经典动归题，核心思路及代码优化</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>Problem 1004 Number Triangle</strong></p>
<h3>Accept: 2230&nbsp;&nbsp;&nbsp;&nbsp;Submit: 5895<br />Time Limit: 1000 mSec&nbsp;&nbsp;&nbsp;&nbsp;Memory Limit : 32768 KB</h3>
<h2><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYWNtLmZ6dS5lZHUuY24vaW1hZ2UvcHJvZGVzYy5naWY=.jpg" />&nbsp;Problem Description</h2>
<p>Consider the number triangle shown below. Write a program that calculates the highest sum of numbers that can be passed on a route that starts at the top and ends somewhere on the base. Each step can go either diagonally down to the left or diagonally down to the right.</p>
<table>
<tbody>
<tr>
<td>
<br />&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 7</p>
<p>3 &nbsp; 8</p>
<p>8 &nbsp;1 &nbsp;0</p>
<p>2 &nbsp;7 &nbsp;4 &nbsp;4</p>
<p>4 &nbsp;5 &nbsp;2 &nbsp; 6 &nbsp;5</p>

</td>
</tr>
</tbody>
</table>
<p>In the sample above, the route from 7 to 3 to 8 to 7 to 5 produces the highest sum: 30.</p>
<h2><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYWNtLmZ6dS5lZHUuY24vaW1hZ2UvcHJvZGVzYy5naWY=.jpg" />&nbsp;Input</h2>
<p>There are multiple test cases.The first line of each test case contains R (1 &lt;= R &lt;= 1000), the number of rows. Each subsequent line contains the integers for that particular row of the triangle. All the supplied integers are non-negative and no larger than 100.</p>
<h2><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYWNtLmZ6dS5lZHUuY24vaW1hZ2UvcHJvZGVzYy5naWY=.jpg" />&nbsp;Output</h2>
<p>Print a single line containing the largest sum using the traversal specified for each test case.</p>
<h2><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYWNtLmZ6dS5lZHUuY24vaW1hZ2UvcHJvZGVzYy5naWY=.jpg" />&nbsp;Sample Input</h2>
<p>5</p>
<p>7</p>
<p>3 8</p>
<p>8 1 0</p>
<p>2 7 4 4</p>
<p>4 5 2 6 5</p>
<h2><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvYWNtLmZ6dS5lZHUuY24vaW1hZ2UvcHJvZGVzYy5naWY=.jpg" />&nbsp;Sample Output</h2>
<p>30</p>
<p>很明显的一道动归题，类似于求最大路径，方法有很多，搜索啊，递归啊，，，但用动归是最简单的，动归思路有两种：</p>
<p>1：</p>
<p>用二维数组存放数字三角形；</p>
<p>D( r, j) : 第r行第 j 个数字(r,j从1 开始算)</p>
<p>MaxSum(r, j) : 从D(r,j)到底边的各条路径中最佳路径的数字之和，问题是就求MaxSum(1,1)；<br />典型的递归问题<br />D(r, j)出发，下一步只能走D(r+1,j)或者D(r+1, j+1)。故对于N行的三角形：<br />if ( r == N)<br />MaxSum(r,j) = D(r,j)<br />else<br />MaxSum( r, j) = Max{ MaxSum(r＋1,j), MaxSum(r+1,j+1) } + D(r,j)；</p>
<p>2：&nbsp;如果每算出一个MaxSum(r,j)就保存起来，下次用到其值的时候直接取用，则可免去重复计算。</p>
<p>那么可以用 O(n2)时间完成计算。因为三角形的数字总数是 n(n+1)/2；这时，递归转化为递推；</p>
<p>下面呈现两种思路代码：</p>
<p>1：超时代码：</p>
<pre>#include &lt;iostream&gt;#include &lt;algorithm&gt;#define MAX 101using namespace std;int D[MAX][MAX];int n;
int MaxSum(int i, int j){
 if(i==n)
return D[i][j];
 int x = MaxSum(i+1,j);
 int y = MaxSum(i+1,j+1);
 return max(x,y)+D[i][j];
}
int main(){
 int i,j;
 cin &gt;&gt; n;
 for(i=1;i&lt;=n;i++)
for(j=1;j&lt;=i;j++)
 cin &gt;&gt; D[i][j];
 cout &lt;&lt; MaxSum(1,1) &lt;&lt; endl;
}如果采用递规的方法，深度遍历每条路径，存在大量重复计算。则时间复杂度为 2n, 对于 n = 100行，肯定超时。<em><em><em><em><em></em></em></em></em></em></pre>
<p><em><em><em>&nbsp;</em></em></em>&nbsp;2：记忆递归</p>
<pre>#include &lt;iostream&gt;
#include &lt;algorithm&gt;
using namespace std;
#define MAX 101
int D[MAX][MAX]; int n;
int maxSum[MAX][MAX];
int MaxSum(int i, int j){
 if( maxSum[i][j] != -1 )
  return maxSum[i][j];
 if(i==n) maxSum[i][j] = D[i][j];
 else {
 int x = MaxSum(i+1,j);
  int y = MaxSum(i+1,j+1);
  maxSum[i][j] = max(x,y)+ D[i][j];
 }
 return maxSum[i][j];
}
int main(){
 int i,j;
 cin &gt;&gt; n;
 for(i=1;i&lt;=n;i++)
for(j=1;j&lt;=i;j++) {
 cin &gt;&gt; D[i][j];
 maxSum[i][j] = -1;
}
 cout &lt;&lt; MaxSum(1,1) &lt;&lt; endl;
}</pre>
<p>3：</p>
<pre>#include &lt;iostream&gt;
#include &lt;algorithm&gt;
using namespace std;
#define MAX 101
int D[MAX][MAX]; int n;
int maxSum[MAX][MAX];
int main() {
 int i,j;
 cin &gt;&gt; n;
 for(i=1;i&lt;=n;i++)
for(j=1;j&lt;=i;j++)
 cin &gt;&gt; D[i][j];
 for( int i = 1;i &lt;= n; ++ i )
 maxSum[n][i] = D[n][i];
 for( int i = n-1; i&gt;= 1; --i )
for( int j = 1; j &lt;= i; ++j )
 maxSum[i][j] = max(maxSum[i+1][j],maxSum[i+1][j+1]) + D[i][j]
 cout &lt;&lt; maxSum[1][1] &lt;&lt; endl;
}人人为我&rdquo;递推型动归程序</pre>
<p>4：当然了，3中的代码也可以空间优化，从下往上找</p>
<pre>#include &lt;iostream&gt;
#include &lt;algorithm&gt;
using namespace std;
#define MAX 101
int D[MAX][MAX];
int n; int * maxSum;
int main(){
 int i,j;
 cin &gt;&gt; n;
 for(i=1;i&lt;=n;i++)
for(j=1;j&lt;=i;j++)
 cin &gt;&gt; D[i][j];
 maxSum = D[n]; //maxSum指向第n行
 for( int i = n-1; i&gt;= 1; --i )
for( int j = 1; j &lt;= i; ++j )
 maxSum[j] = max(maxSum[j],maxSum[j+1]) + D[i][j];
 cout &lt;&lt; maxSum[1] &lt;&lt; endl;
}如果看不懂简单手推模拟一遍你就明白了，不难。。和3中代码类似，只是将二维转化为一维了；</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 13:03:13 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>FZU1004-Number Triangle经典动归题，核心思路及代码优化的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vR9Zj3.html" rel="bookmark">经典图论500题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 =============================以下是最小生成树+并查集====================================== 2 [HDU] 3 *1213 How Many Tables 基础并查集★ 4 *1272 小希的迷宫 基础并查集★ 5 *1325&amp;&amp;poj1308 Is It A Tree? 基础并查集★ 6 *1856 More is better 基础并查集★ 7 *1102 Constructing Roads 基础最小生成树★ 8			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyzNKL0.html" rel="bookmark">JAVA经典算法50题（转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载请注明出处:http://blog.csdn.net/l1028386804/article/details/51097928 JAVA经典算法50题 [程序1]   题目:古典问题:有一对兔子,从出生后第3个月起每个月都生一对兔子,小兔子长到第四个月后每个月又生一对兔子,假如兔子都不死,问每个月的兔子总数为多少?1.程序分析:兔子的规律为数列1,1,2,3,5,8,13,21.... [java] view plain copy public class Demo01 { public s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3r5wY10.html" rel="bookmark">ACM&sol;ICPC 之 经典动规&lpar;POJ1088-滑雪&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				POJ1088-滑雪 将每个滑雪点都看作起点,从最低点开始逐个由四周递推出到达此点的最长路径的长度,由该点记下. 理论上,也可以将每一点都看作终点,由最高点开始计数,有兴趣可以试试. 1 //经典DP-由高向低海拔滑雪-求最长路 2 //Memory:372K Time:32 Ms 3 #include&lt;iostream&gt; 4 #include&lt;cstring&gt; 5 #include&lt;cstdio&gt; 6 #include&lt;algorithm&gt; 7 using			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzaJnA4.html" rel="bookmark">HDU 4006 The kth great number （基本算法-水题）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				The kth great number Problem Description Xiao Ming and Xiao Bao are playing a simple Numbers game. In a round Xiao Ming can choose to write down a number, or ask Xiao Bao what the kth great number is. Because the number written by Xiao Ming is too mu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0l1k2B3.html" rel="bookmark">NOIP2005提高组 &amp;amp&semi;&amp;amp&semi; HLG 1219 谁拿了最多奖学金  （好经典的基础题 ）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				链接: http://acm.hrbust.edu.cn/index.php?m=ProblemSet&amp;a=showProblem&amp;problem_id=1219 Description 某校的惯例是在每学期的期末考试之后发放奖学金.发放的奖学金共有五种,获取的条件各自不同: 1) 院士奖学金,每人8000元,期末平均成绩高于80分(&gt;80),并且在本学期内发表1篇或1篇以上论文的学生均可获得: 2) 五四奖学金,每人4000元,期末平均成绩高于85分(&gt;85),并且班级评议成			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZlljLM.html" rel="bookmark">经典傻逼题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Description 这是一道经典傻逼题,对经典题很熟悉的人也不要激动,希望大家不要傻逼.考虑一张N个点的带权无向图,点的编号为1到N. 对于图中的任意一个点集(可以为空或者全集),所有恰好有一个端点在这个点集中的边组成的集合被称为割. 一个割的权值被定义为所有在这个割上的边的异或和. 一开始这张图是空图,现在,考虑给这张无向图不断的加边,加入每条边之后,你都要求出当前权值最大的割的权值, 注意加入的边永远都不会消失. Input 输入的第一行包括一个数ID表示数据编号, 如第一组数据中的ID			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3Zl7wlM.html" rel="bookmark">【软帝学院】12道java经典入门算法题！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				12道java经典入门算法题! [程序1]   题目:将一个数组逆序输出. 程序分析:用第一个与最后一个交换. 其实,用循环控制变量更简单: for(int k=11;k&gt;=1;k--) System.out.print(myarr[k]+&quot;,&quot;); [程序2]   题目:取一个整数a从右端开始的4-7位. 程序分析:可以这样考虑: (1)先使a右移4位. (2)设置一个低4位全为1,其余全为0的数.可用~(~0 &lt; &lt;4) (3)将上面二者进行&amp;运算. pu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0KzN9yM.html" rel="bookmark">12道java经典入门算法题！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				12道java经典入门算法题![程序1] ? 题目:将一个数组逆序输出. ? 程序分析:用第一个与最后一个交换. ? 其实,用循环控制变量更简单:for(int k=11;k&gt;=1;k--)System.out.print(myarr[k]+&quot;,&quot;); [程序2] ? 题目:取一个整数a从右端开始的4-7位. ? 程序分析:可以这样考虑: ? (1)先使a右移4位. ? (2)设置一个低4位全为1,其余全为0的数.可用~(~0 &lt; &lt;4) ? (3)将上面二者进行&a			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWrpK64.html" rel="bookmark">Mdx Select查询的核心思路</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MDX和TSql有很大的不同,MDX select查询语句的核心思路是对cube进行切片,对切割后的cube计算Measure的聚合值就是查询的结果.每一次切片都将cube进行切割,剔除不满足切片条件的成员. Cube的Schema非常简单,只有两个Dimension和一个Measure Group. 1,一个使用嵌套查询的MDX语句 SELECT NON EMPTY { [Measures].[Fact Product Inventory Count], [Measures].[Unit Co			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n3ZNKg3.html" rel="bookmark" class="title">Android ActionBar详解</a>
					<div>
						关于ActionBar,相信大家并不陌生,但是真正能够熟练使用的也不是很多,这篇文章主要为大家详细介绍ActionBar的相关知识,ActionBar是在Android3.0中引入的概念,所以在2.x ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/P47Zzy3.html" rel="bookmark" class="title">短信轰炸工具原理解析</a>
					<div>
						温馨提示:本文文章紧作为学习探讨,不能用于破坏攻击用途,后果自负.文章后面有Demo源码下载,使用C#语言开发. 相信不少人都莫名奇妙收过一些注册验证码短信.登录验证码短信,自己没去注册也没登录,甚至 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OmPArM.html" rel="bookmark" class="title">hdu5139</a>
					<div>
						这题需要我们计算 这个 因为n&lt;10000000空间过大 那么我们可以计算出 当n可以被10整除的时候我们就将n/10记录下来当我们要查询的时候去暴力计算他们与整十之间的数去暴力去做就好了 这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz85aW3.html" rel="bookmark" class="title">Jmeter分布式</a>
					<div>
						在进行性能测试的时候,随着压力的不断增大,会出现tps的瓶颈. 出现瓶颈,会有两个原因,1.服务器导致的瓶颈 ,2压力不够. 如果是压力不够的情况,要么换更好的机器进行压测,或者多台机器进行分布式压测 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmlAap4.html" rel="bookmark" class="title">一线开发者在Reddit上讨论深度学习框架&colon;PyTorch和TensorFlow到底哪个更好？</a>
					<div>
						本文标签:   机器学习 TensorFlow Google深度学习框架 分布式机器学习 PyTorch   近日,Reddit用户 cjmcmurtrie 发了一个主题为「PyTorch vs. T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0awRRv4.html" rel="bookmark" class="title">《自控力》总结&lowbar;完结</a>
					<div>
						Saturday, December 15, 2012 9:35 PM &lt;自控力&gt;总结 第一章 1 前额皮质的3个功能区域:&quot;我要&quot;&quot;我不要&quot;&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0awPJJ4.html" rel="bookmark" class="title">svn常用操作</a>
					<div>
						第一步:安装客户端 安装后,在任意空白处或者文件,文件夹单击鼠标右键会多出两个图标,分别是SVN Checkout(SVN 检出)和TortoiseSVN 第二步:建立工作区 项目开始之前,在本地PC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aDLzJM.html" rel="bookmark" class="title">我终于深入参与了一个分布式系统了，好多想法不一样了！</a>
					<div>
						前言 过去两个月深入的参与了一个分布式系统的开发,记得之前有人说过“想成为架构师之前,都是从微观架构开始的”.尽管我从没想过将来的某一天要成为一个架构师,或者领域专家,我只是想萌萌哒的编码,写着自己喜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/418dag3.html" rel="bookmark" class="title">2014 BNU 邀请赛E题（递推&plus;矩阵快速幂）</a>
					<div>
						Elegant String 题意:给定一个字符串,由0-k数字组成,要求该串中,子串不包含0-k全排列的方案数 思路:dp[i][j]表示放到i个数字,后面有j个不相同,然后想递推式,大概就是对应每 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0n56W7M.html" rel="bookmark" class="title">输出类名，方法名以及行数等log信息</a>
					<div>
						public static void print(String text){    boolean debug = true;    if (debug) {        Context conte ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jXJeW4.html" rel="bookmark" class="title">会话跟踪Cookie与Session</a>
					<div>
						会话跟踪用来跟踪用户的整个会话,常用的是Session和Cookie.Cookie通过客户端记录信息确定用户身份,Session通过在服务器端记录信息确定用户身份. 1.Cookie  1.1概念及使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mmo2rp3.html" rel="bookmark" class="title">LA 3177 Beijing Guards&lpar;长城守卫&rpar;</a>
					<div>
						贪心找最优策略.大白上有详解. 不过这里有几个值得思考的地方. 还有几个地方想不明白,脑子不够用了,先记着,改天再做一遍 #include &lt;cstdio&gt; #include &lt;al ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0le61W3.html" rel="bookmark" class="title">ActiveMQ - 入门指南</a>
					<div>
						首先需要下载ActiveMQ,下面的链接给我们列出了所有版本: http://activemq.apache.org/download-archives.html 每个版本为不同的OS提供了链接: 公 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rz6B73.html" rel="bookmark" class="title">Flexbox</a>
					<div>
						使用 Flexbox 的牛逼布局 .container { display: -webkit-flex; display: flex; } .initial { -webkit-flex: initi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AEW7b4.html" rel="bookmark" class="title">Glusterfs入门</a>
					<div>
						实验环境  - 10Gb网络环境- gluster1  192.168.100.155 三块磁盘- gluster2  192.168.100.156 三块磁盘- gluster2  192.168. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KvwgwM.html" rel="bookmark" class="title">SpringBatch的流程简介</a>
					<div>
						SpringBatch的流程图如下: 每个Batch都会包含一个Job.Job就像一个容器,这个容器装了若干Step,Batch中实际干活的也就是这些Step,至于Step干什么活,无外乎读取数据,处 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mm9ZeQM.html" rel="bookmark" class="title">Unity3D 正六边形，环状扩散，紧密分布，的程序</a>
					<div>
						最近在做一个正六边形的游戏,被一开始的布局难倒了. 需求:中心有个正六边形,输入围绕中心扩散的环数,自动创建和摆放. 大概就是这样的吧,我觉得这个非常轻松的就可以搞定了.啊~~~~~啊~~~ 五环~~ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVvxXzM.html" rel="bookmark" class="title">ViewPager&plus;fragment的使用</a>
					<div>
						如图我在一个继承FragmentActivity的类中嵌套了3个fragment分别能实现3个不同的界面,默认展现第一个,在第一个的fragment中有个ViewPager在ViewPager中嵌套了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pkl683.html" rel="bookmark" class="title">Eclipse将控制台输出信息保存为文件</a>
					<div>
						当你在Eclipse中 running/debugging一个应用程序的时候,有关该应用程序的运行调试信息及日志信息都会输出到控制台(console )显示,但是Eclipse只会显示最后一部分的日志 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bLrmY4.html" rel="bookmark" class="title">ADS1110&sol;ADS1271</a>
					<div>
						ADS1110 1.初始化 软件:设置p任意2个为GPIO口 硬件:设置p0.2,p0.3为SDA,SCL 输入.输出 ADS1110的I2C地址(1001aaa)例如ADS1110A0的地址是100 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
